package com.bocloud.cmp.model.hmc.sdk.common;

import com.bocloud.cmp.model.hmc.sdk.module.Link;

import java.util.List;

public class ResponseBase {
    protected String id;
    protected String updated;
    protected List<Link> link;
    protected String generator;

    public ResponseBase() {
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getUpdated() {
        return updated;
    }

    public void setUpdated(String updated) {
        this.updated = updated;
    }

    public List<Link> getLink() {
        return link;
    }

    public void setLink(List<Link> link) {
        this.link = link;
    }

    public String getGenerator() {
        return generator;
    }

    public void setGenerator(String generator) {
        this.generator = generator;
    }

    @Override
    public String toString() {
        return "ResponseBase [id=" + id + ", updated=" + updated + ", link=" + link + ", generator=" + generator + "]";
    }
}
